Page MenuHomePhabricator

Update Doxygen to 1.8.18
Closed, ResolvedPublic

Description

We have deployed Doxygen 1.8.17 via T242155 but unfortunately it is breaking entirely on at least Wikibase so we are back to 1.8.16.

Debian experimental has 1.8.18 packaged and it is a straightforward upgrade. The update for our Debian package is:

https://gerrit.wikimedia.org/r/#/c/operations/debs/doxygen/+/599094

Once rebuild, the package should be uploaded on apt.wikimedia.org buster-wikimedia component/ci.

Event Timeline

hashar created this task.May 27 2020, 6:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2020, 6:27 PM

Change 599094 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/debs/doxygen@debian/buster-wikimedia] Merge tag 'debian/1.8.18-1_exp1' into debian/buster-wikimedia

https://gerrit.wikimedia.org/r/599094

hashar updated the task description. (Show Details)May 27 2020, 6:29 PM
hashar triaged this task as Medium priority.May 28 2020, 7:27 AM

Change 599094 merged by Dzahn:
[operations/debs/doxygen@debian/buster-wikimedia] Merge tag 'debian/1.8.18-1_exp1' into debian/buster-wikimedia

https://gerrit.wikimedia.org/r/599094

Dzahn claimed this task.Jun 4 2020, 9:54 AM
Dzahn added a comment.Jun 4 2020, 9:56 AM

package was built on deneb (docs = joe's bash_history)

when trying to import on apt:

`Could not find any key matching '9D392D3FFADF18FB'!
`

Dzahn added a comment.Jun 4 2020, 10:19 AM

Cannot find file './doxygen-latex_1.8.18-1~exp1~~deb10+wmf1_all.deb' needed by 'doxygen_1.8.18-1~exp1~~deb10+wmf1_amd64.changes'!

Dzahn added a comment.Jun 4 2020, 10:32 AM
[apt1001:~] $ sudo -i reprepro ls doxygen
doxygen | 1.8.18-1~exp1~~deb10+wmf1 | buster-wikimedia | amd64, source
Dzahn removed Dzahn as the assignee of this task.Jun 4 2020, 10:47 AM
Dzahn added a subscriber: Dzahn.
[apt1001:~] $ sudo -E reprepro -C component/ci include buster-wikimedia doxygen_1.8.18-1~exp1~~deb10+wmf1_amd64.changes 
Skipping inclusion of 'doxygen-latex' '1.8.18-1~exp1~~deb10+wmf1' in 'buster-wikimedia|component/ci|amd64', as it has already '1.8.18-1~exp1~~deb10+wmf1'.
Skipping inclusion of 'doxygen-latex' '1.8.18-1~exp1~~deb10+wmf1' in 'buster-wikimedia|component/ci|i386', as it has already '1.8.18-1~exp1~~deb10+wmf1'.
Skipping inclusion of 'doxygen-gui' '1.8.18-1~exp1~~deb10+wmf1' in 'buster-wikimedia|component/ci|amd64', as it has already '1.8.18-1~exp1~~deb10+wmf1'.
Skipping inclusion of 'doxygen-gui-dbgsym' '1.8.18-1~exp1~~deb10+wmf1' in 'buster-wikimedia|component/ci|amd64', as it has already '1.8.18-1~exp1~~deb10+wmf1'.
Skipping inclusion of 'doxygen-doxyparse' '1.8.18-1~exp1~~deb10+wmf1' in 'buster-wikimedia|component/ci|amd64', as it has already '1.8.18-1~exp1~~deb10+wmf1'.
Skipping inclusion of 'doxygen-doxyparse-dbgsym' '1.8.18-1~exp1~~deb10+wmf1' in 'buster-wikimedia|component/ci|amd64', as it has already '1.8.18-1~exp1~~deb10+wmf1'.
Skipping inclusion of 'doxygen-doc' '1.8.18-1~exp1~~deb10+wmf1' in 'buster-wikimedia|component/ci|amd64', as it has already '1.8.18-1~exp1~~deb10+wmf1'.
Skipping inclusion of 'doxygen-doc' '1.8.18-1~exp1~~deb10+wmf1' in 'buster-wikimedia|component/ci|i386', as it has already '1.8.18-1~exp1~~deb10+wmf1'.
Skipping inclusion of 'doxygen-dbgsym' '1.8.18-1~exp1~~deb10+wmf1' in 'buster-wikimedia|component/ci|amd64', as it has already '1.8.18-1~exp1~~deb10+wmf1'.
Exporting indices...
Dzahn closed this task as Resolved.Jun 4 2020, 10:48 AM
Dzahn claimed this task.
hashar reopened this task as Open.Jun 4 2020, 11:04 AM

Change 602337 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] dockerfiles: rebuild for Doxygen 1.8.18

https://gerrit.wikimedia.org/r/602337

Change 602338 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] jjb: update to Doxygen 1.8.18

https://gerrit.wikimedia.org/r/602338

Change 602337 merged by jenkins-bot:
[integration/config@master] dockerfiles: rebuild for Doxygen 1.8.18

https://gerrit.wikimedia.org/r/602337

Mentioned in SAL (#wikimedia-releng) [2020-06-04T11:21:33Z] <hashar> Built docker-registry.discovery.wmnet/releng/doxygen:0.8.0 # T253793

hashar closed this task as Resolved.Jun 4 2020, 11:24 AM
hashar claimed this task.

Container rebuild and I have switched the Jenkins jobs to Doxygen 1.8.18

Thank you @Dzahn for the assistance in building the new package!

Change 602338 merged by jenkins-bot:
[integration/config@master] jjb: update to Doxygen 1.8.18

https://gerrit.wikimedia.org/r/602338

Doxygen has been upgraded to 1.8.19 (T254465)